CREATE TABLE fa_rates (
    METHOD_ID                   NUMBER(18, 0) ,
    YEAR                        NUMBER(4, 0)  ,
    PERIOD_PLACED_IN_SERVICE    NUMBER(3, 0)  ,
    RATE                        NUMBER            NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    METHOD_ID                   NUMBER(18, 0) ,
    YEAR                        NUMBER(4, 0)  ,
    PERIOD_PLACED_IN_SERVICE    NUMBER(3, 0)  ,
    RATE                        NUMBER            NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fa_rates PRIMARY KEY (METHOD_ID, YEAR, PERIOD_PLACED_IN_SERVICE, METHOD_ID, YEAR, PERIOD_PLACED_IN_SERVICE)
);
